# Generated by Django 4.1.2 on 2022-11-16 11:24

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128, verbose_name='Title')),
                ('body', models.CharField(max_length=256, verbose_name='Body')),
                ('payload', models.JSONField(blank=True, null=True, verbose_name='Payload')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('is_viewed', models.BooleanField(default=False, verbose_name='Is viewed')),
                ('is_sent', models.BooleanField(default=False, verbose_name='Is sent')),
            ],
            options={
                'verbose_name': 'Notification',
                'verbose_name_plural': 'Notifications',
            },
        ),
    ]
